Package tigase.osgi

# Class ModulesManagerImpl

java.lang.Object
tigase.osgi.ModulesManagerImpl

All Implemented Interfaces:
  `ModulesManager`

public class ModulesManagerImpl extends Object implements ModulesManager

Author:
  andrzej

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `forName(String className)`
  `Collection<Class<?>>`
  `getClasses()`
  `static ModulesManagerImpl`
  `getInstance()`
  `void`
  `registerClass(Class<?> cls)`
  `void`
  `registerPluginClass(Class<? extends XMPPImplIfc> pluginCls)`
  `void`
  `registerServerComponentClass(Class<? extends Configurable> compCls)`
  `void`
  `setActive(boolean active)`
  `void`
  `setBeanConfigurator(AbstractBeanConfigurator beanConfigurator)`
  `void`
  `unregisterClass(Class<?> cls)`
  `void`
  `unregisterPluginClass(Class<? extends XMPPImplIfc> pluginClass)`
  `void`
  `unregisterServerComponentClass(Class<? extends Configurable> compCls)`
  `void`
  `update()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static ModulesManagerImpl getInstance()

  - ### getClasses

    public Collection<Class<?>> getClasses()

  - ### registerPluginClass

    public void registerPluginClass(Class<? extends XMPPImplIfc> pluginCls)
    Specified by:
      `registerPluginClass` in interface `ModulesManager`

  - ### unregisterPluginClass

    public void unregisterPluginClass(Class<? extends XMPPImplIfc> pluginClass)
    Specified by:
      `unregisterPluginClass` in interface `ModulesManager`

  - ### registerServerComponentClass

    public void registerServerComponentClass(Class<? extends Configurable> compCls)
    Specified by:
      `registerServerComponentClass` in interface `ModulesManager`

  - ### unregisterServerComponentClass

    public void unregisterServerComponentClass(Class<? extends Configurable> compCls)
    Specified by:
      `unregisterServerComponentClass` in interface `ModulesManager`

  - ### registerClass

    public void registerClass(Class<?> cls)
    Specified by:
      `registerClass` in interface `ModulesManager`

  - ### unregisterClass

    public void unregisterClass(Class<?> cls)
    Specified by:
      `unregisterClass` in interface `ModulesManager`

  - ### forName

    public Class<?> forName(String className) throws ClassNotFoundException
    Specified by:
      `forName` in interface `ModulesManager`
    Throws:
      `ClassNotFoundException`

  - ### update

    public void update()
    Specified by:
      `update` in interface `ModulesManager`

  - ### setBeanConfigurator

    public void setBeanConfigurator(AbstractBeanConfigurator beanConfigurator)

  - ### setActive

    public void setActive(boolean active)